curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/refresh"
payload = { "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000" }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({companyId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sellers": [
{
"salesChannelId": "<string>",
"isActive": true,
"sellerId": "<string>",
"channel": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"channelDisplayName": "<string>",
"channelCurrency": "<string>",
"isDocumentStorageEnabled": true,
"isStockUpdateEnabled": true,
"isOfferAutomappingEnabled": true,
"isAttributeImportEnabled": true,
"pendingOfferDeletionIntervalDays": 123,
"completedOfferDeletionIntervalDays": 123,
"isDeleted": true,
"isVariationsSupported": true,
"isQuantityPriceSupported": true,
"isAllowCombineOrders": true,
"name": "<string>",
"isBlocked": 123,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"languageId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"updatedAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}Create Sales Channels Scx Sellers Refresh
Imports SCX sellers that have newly connected to the company since the last import, then returns the company’s complete current list of sellers.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Body
Request model for RefreshScxSellers command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
ID of the company newly imported sellers are created under, and whose current sellers are returned. Sellers already connected under a different company are left unchanged.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
The company's complete current list of SCX sellers.
Imports SCX sellers that have newly connected to the company since the last import, then returns the company's complete current list of sellers. - Response
All current SCX sellers of the company, after the import.
Show child attributes
Show child attributes
Was this page helpful?